Any doctors using Nuesoft's NueMD EHR?

Discussion in 'Mac Apps and Mac App Store' started by GhostMac24, Oct 14, 2011.

  1. GhostMac24 macrumors 6502

    GhostMac24

    Joined:
    Jul 27, 2011
    Location:
    NC
    #1
    Any doctor's here using Nuesoft's NueMD EHR for their practice?

    Curious as to what operating system version you are using and if you have run into any issues. They claim to be OSX compatible but when I explained to them that OSX isn't the version but the operating system they became stumped when I asked if it was 10.7 compatible.

    Thanks!
     
  2. lcoates1 macrumors newbie

    Joined:
    Oct 20, 2011
    #2
    System Requirements for NueMD

    Sorry about any confusion you received from Nuesoft. I am with the marketing department. System requirements for NueMD EHR: Mac OS X 10.5 (Leopard) and up.

    Please let me know if this does not work for you.
     

Share This Page